SELECT
	n.nspname, c.relname, d.refobjid, cn.conname, count(1) as cnt
FROM pg_depend d
JOIN pg_constraint cn on cn.oid = d.objid and d.classid::regclass = 'pg_constraint'::regclass
JOIN pg_depend d2 on d2.refobjid = cn.oid and d2.classid::regclass = 'pg_rewrite'::regclass
JOIN pg_rewrite rw on rw.oid = d2.objid
JOIN pg_class c on c.oid = rw.ev_class and c.relkind = 'v'
JOIN pg_namespace n on n.oid = c.relnamespace
group by n.nspname, c.relname, d.refobjid, cn.conname
order by cnt desc
limit 1000