{
	"update_yadirect_stat": {
		"except_type": "UniqueError",
		"tbl_name": "yadirect_dic_phrase_value",
		"idxdef_like": "yadirect_dic_phrase_value USING btree (value)",
		"cmds": [
			"""
				COPY yadirect_stat TO PROGRAM 'gzip > BACKUP_DIR/SCHEMA_NAME_yadirect_stat.gz';
				COPY yadirect_dic_phrase_value TO PROGRAM 'gzip > BACKUP_DIR/SCHEMA_NAME_yadirect_dic_phrase_value.gz';
			""",
			"""
				UPDATE yadirect_stat s
				SET phrase_value_id = min_ids.orig_id
				FROM yadirect_dic_phrase_value pv
				JOIN (
						SELECT
							MIN(dic_phrase_value_id) as orig_id,
							value
						FROM yadirect_dic_phrase_value
						GROUP BY value
				) min_ids
					ON md5(min_ids.value) = md5(pv.value)
				WHERE s.phrase_value_id = pv.dic_phrase_value_id
					AND phrase_value_id <> min_ids.orig_id
			""",
			"""
				VACUUM ANALYZE yadirect_stat
			""",
			"""
				DELETE FROM yadirect_dic_phrase_value a USING (
						SELECT
							MIN(dic_phrase_value_id) as dic_phrase_value_id,
							value
						FROM yadirect_dic_phrase_value
						GROUP BY value HAVING COUNT(*) > 1
					) b
					WHERE a.value = b.value
					AND a.dic_phrase_value_id <> b.dic_phrase_value_id
			"""
		]
	}
}