-- get all indexes - FldsEnumBasicList
select
	n.oid,
	n.nspname,
	cr.relname,
	ci.relname,
	(SELECT pg_get_indexdef (i.indexrelid)) as def,
	i.indexrelid,
	i.indrelid,
	exists(select 1 from pg_constraint cn where cn.connamespace = n.oid and cn.conindid = i.indexrelid) as complex
from pg_index i
JOIN pg_class AS ci ON i.indexrelid = ci.oid and ci.relkind = 'i'
JOIN pg_class AS cr ON i.indrelid = cr.oid and cr.relkind in ('r', 'm')
JOIN pg_namespace n ON n.oid = ci.relnamespace
WHERE n.nspname not in ('pg_catalog', 'pg_toast') and cr.relname not in ('csr_actions', 'csr_scenarios')
ORDER BY n.nspname, cr.relname, ci.relname