do $$
begin
   IF (SELECT count(1) FROM pg_class where relname in ('tbl_a_v', 'tbl_b_v', 'tbl_c_v', 'tbl_ab_v')) != 4 THEN
      raise exception 'dependent objs test failed';
   END IF;
end$$;

do $$
begin
   IF not (
      select exists (
         select * from (
            select array_agg((T.e).privilege_type) as pt from (
               select aclexplode(relacl) as e from pg_class where relname = 'tbl_a_v'
            ) T where (T.e).grantee::integer <> 10
            group by (T.e).grantee
         ) A where '{SELECT,UPDATE}'::text[] <@ A.pt
      )
   ) THEN
      raise exception 'grants test failed for tbl_a_v';
   END IF;
end$$;

do $$
begin
   IF not (
      select exists (
         select * from (
            select array_agg((T.e).privilege_type) as pt from (
               select aclexplode(relacl) as e from pg_class where relname = 'tbl_b_v'
            ) T where (T.e).grantee::integer <> 10
            group by (T.e).grantee
         ) A where '{INSERT,SELECT,UPDATE,DELETE}'::text[] <@ A.pt
      )
   ) THEN
      raise exception 'grants test failed for tbl_b_v';
   END IF;
end$$;

do $$
begin
   IF not (
      select exists (
         select * from (
            select array_agg((T.e).privilege_type) as pt from (
               select aclexplode(relacl) as e from pg_class where relname = 'tbl_c_v'
            ) T where (T.e).grantee::integer <> 10
            group by (T.e).grantee
         ) A where '{INSERT,SELECT,UPDATE,DELETE,TRUNCATE,REFERENCES,TRIGGER}'::text[] <@ A.pt
      )
   ) THEN
      raise exception 'grants test failed for tbl_c_v';
   END IF;
end$$;

do $$
begin
   IF not (
      select exists (
         select * from (
            select array_agg((T.e).privilege_type) as pt from (
               select aclexplode(relacl) as e from pg_class where relname = 'tbl_ab_v'
            ) T where (T.e).grantee::integer <> 10
            group by (T.e).grantee
         ) A where '{SELECT,UPDATE}'::text[] <@ A.pt
      )
   ) THEN
      raise exception 'grants test failed for tbl_ab_v';
   END IF;
end$$;